=== debian/changelog ===
grisbi (0.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #549452, #551794)
  * Switch source package format to 3.0 (quilt)
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Wed, 05 May 2010 21:11:05 +0200

grisbi (0.6.0~rc2-1) experimental; urgency=low

  * New upstream release candidate
  * Bump Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 07 Feb 2010 14:38:20 +0100

grisbi (0.6.0~rc1-1) experimental; urgency=low

  * New upstream release candidate

 -- Stéphane Glondu <glondu@debian.org>  Sat, 09 Jan 2010 17:40:30 +0100

grisbi (0.6.0~pre+beta3+1-1) experimental; urgency=low

  * New upstream beta release
  * Install NEWS file as upstream changelog

 -- Stéphane Glondu <glondu@debian.org>  Sun, 15 Nov 2009 13:42:24 +0100

grisbi (0.6.0~pre+beta1-1) experimental; urgency=low

  * New upstream beta release:
    - remove Use-x-www-browser-by-default-instead-of-mozilla.patch
    - add dependency to xdg-utils
    - add build-dependency to chrpath

 -- Stéphane Glondu <glondu@debian.org>  Sun, 20 Sep 2009 13:12:14 +0200

grisbi (0.6.0~cvs20090901-2) experimental; urgency=low

  * New upstream CVS snapshot (Closes: #480781)
  * Update copyright file (OpenSSL is explicitly authorized in README)
  * Build and install openssl plugin
  * Update my e-mail address and remove DMUA

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Sep 2009 19:23:38 +0200

grisbi (0.6.0~cvs20090823-1) experimental; urgency=low

  * New upstream CVS snapshot (Closes: #298644, #378992, LP: #395927)
    - removed patch: Fix-freeze-when-using-combobox-with-keyboard
    - do not install openssl plugin, because of licensing issue;
      document it in README.Debian
  * Update Standards-Version to 3.8.3 (no changes)

 -- Stephane Glondu <steph@glondu.net>  Sun, 23 Aug 2009 23:39:38 +0200

grisbi (0.5.9-4) unstable; urgency=low

  * Add a patch to fix freeze when using keyboard in combobox
    (LP: #399295)

 -- Stephane Glondu <steph@glondu.net>  Sun, 02 Aug 2009 22:02:40 +0200

grisbi (0.5.9-3) unstable; urgency=low

  * Fix binary-arch build

 -- Stephane Glondu <steph@glondu.net>  Wed, 08 Jul 2009 20:32:18 +0200

grisbi (0.5.9-2) unstable; urgency=low

  * Add Replaces and Conflicts to grisbi-common, which replaces files
    previously shipped by grisbi (Closes: #520723)
  * Use dh overrides in debian/rules
  * Use quilt for patches
  * Use x-www-browser by default (LP: #395925)
  * Add suggestion to www-browser
  * Update Standards-Version to 3.8.2 (no changes)

 -- Stephane Glondu <steph@glondu.net>  Wed, 08 Jul 2009 18:12:12 +0200

grisbi (0.5.9-1) unstable; urgency=low

  [ Stephane Glondu ]
  * New maintainer (Closes: #505570)
  * Acknowledge non-maintainer uploads
  * New upstream release (Closes: #390285)
  * Add binary package grisbi-common with arch-indep files
  * debian/control:
    - add DM-Upload-Allowed header
    - add Vcs-* headers
    - fix typos in description (from Ubuntu, thanks Adrien Cunin)
    - downgrade dependency to texlive from Recommends to Suggests
  * debian/copyright: switch to machine-parsable format
  * debian/rules: switch to debhelper 7
  * Add debian/gbp.conf

  [ Roberto C. Sanchez ]
  * Update standards version to 3.8.1 (no changes)

 -- Stephane Glondu <steph@glondu.net>  Sun, 15 Mar 2009 11:38:22 +0100

grisbi (0.5.8-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced obsolete Recommends latex-ucs and tetex-extra by texlive
    (closes: #466100)
  * Don't ignore errors from make distclean, per lintian
  * Fixed spelling mistake in package description (closes: #363626)
  * Converted debian/copyright to UTF-8
  * Fixed/updated menu section
  * Removed empty directories
  * Updated to debhelper level 6
  * Updated standards version
  * Added watch file
  * Corrected categories in desktop file (closes: #410193)
  * Added support for StartupNotify in launcher (closes: #361529)
  * Added Homepage control field

 -- Peter Eisentraut <petere@debian.org>  Mon, 14 Jul 2008 17:59:03 +0200

grisbi (0.5.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix an implicit pointer conversion of the return value from
    file_selection_get_filename() that can lead to segfaults on some
    64-bit architectures (closes: #348821)

 -- dann frazier <dannf@debian.org>  Mon, 16 Jul 2007 12:51:26 -0600

grisbi (0.5.8-1) unstable; urgency=low

  * New upstream release (closes: #337866, #315905)
  * Change column size option default (closes: #283242)

 -- Benjamin Drieu <benj@debian.org>  Wed, 18 Jan 2006 11:18:57 +0000

grisbi (0.5.7-4) unstable; urgency=low

  * Build against libofx2 (close: #325099)

 -- Benjamin Drieu <benj@debian.org>  Thu,  1 Sep 2005 13:46:10 +0200

grisbi (0.5.7-3) unstable; urgency=low

  * Build against libofx0.8 (closes: #324955)

 -- Benjamin Drieu <bdrieu@april.org>  Thu, 25 Aug 2005 16:56:39 +0200

grisbi (0.5.7-2) unstable; urgency=low

  * Dependency on libofx1c2, C++ transition is over for Grisbi (closes:
    #322908)
  * Register properly with Gnome MIME
  * Fix menu issues (closes: #320436)
  * Update German translation (closes: #313755)

 -- Benjamin Drieu <bdrieu@april.org>  Sat, 13 Aug 2005 15:55:43 +0200

grisbi (0.5.7-1) unstable; urgency=low

  * New upstream release (closes: #30966).
    + Added support for Ukraine Hryvnia (closes: #301596)
    + Bug fixes (closes: #297538, #300415, #296067, #303696, #289964)

 -- Benjamin Drieu <bdrieu@april.org>  Thu,  9 Jun 2005 12:51:19 +0200

grisbi (0.5.5-2) unstable; urgency=low

  * Fix a FTBFS on mipsel (closes: #298234)

 -- Benjamin Drieu <benj@debian.org>  Thu, 10 Mar 2005 14:21:58 +0100

grisbi (0.5.5-1) unstable; urgency=low

  * New upstream release

 -- Benjamin Drieu <benj@debian.org>  Sat,  8 Jan 2005 16:12:37 +0000

grisbi (0.5.4-1) unstable; urgency=low

  * New upstream release

 -- Benjamin Drieu <benj@debian.org>  Fri, 24 Dec 2004 11:58:37 +0100

grisbi (0.5.3-1) unstable; urgency=low

  * New upstream version


