=== debian/watch ===
version=3
http://sf.net/grisbi/grisbi-([\d.]+)\.tar\.(?:gz|bz2)
