## grisbi 0.8.7

=== debian/changelog ===
grisbi (0.8.7-2) unstable; urgency=low

  * Tune and install upstream-generated grisbi.desktop (Closes: #632683)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 23 Jul 2011 18:36:27 +0200

grisbi (0.8.7-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch so that unstable series are ignored
  * Bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 Jun 2011 09:20:54 +0200

grisbi (0.8.6-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 27 May 2011 23:36:21 +0200

grisbi (0.8.5-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 19 Apr 2011 11:45:14 +0200

grisbi (0.8.4-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Mar 2011 23:36:27 +0100

grisbi (0.8.3-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Mar 2011 18:34:26 +0100

grisbi (0.8.2-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Jan 2011 00:38:01 +0100

grisbi (0.7.97-1) experimental; urgency=low

  * New upstream unstable release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 22 Dec 2010 08:21:17 +0100

grisbi (0.7.95-1) experimental; urgency=low

  * New upstream unstable release
  * Reword package descriptions (LP: #155059)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 11 Dec 2010 23:17:14 +0100

grisbi (0.7.93-1) experimental; urgency=low

  * New upstream unstable release
    - remove all patches

 -- Stéphane Glondu <glondu@debian.org>  Tue, 07 Dec 2010 21:27:15 +0100
