## grisbi 0.8.8

=== debian/changelog ===
grisbi (0.8.8-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 22 Sep 2011 16:14:01 +0200
