## grisbi 0.8.9

=== win32-msvc/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,20 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
+if(POLICY CMP0015)
+   # policies not known to CMake 2.6 ...
+   cmake_policy(SET CMP0015 NEW)
+endif(POLICY CMP0015)
 
 PROJECT (Grisbi C)
 
-SET(EXECUTABLE_OUTPUT_PATH target/$(PlatformName))
-SET(LIBRARY_OUTPUT_PATH target/$(PlatformName)/$(OutDir)/plugins)
-SET(PACKAGE_NAME grisbi)
+# MS Visual Studio 10 Macros
+# $(Platform)      The name of current project platform (for example, "Win32").
+# $(Configuration) The name of the current project configuration (for example, "Debug").
+# $(TargetDir)     The directory of the primary output file for the build (defined as drive + path); includes the trailing backslash '\'.
+# see http://msdn.microsoft.com/en-us/library/c02as0cs%28v=VS.100%29.aspx for more macros
+
+SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY target\\$(Platform))
+SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY target\\$(Platform)\\$(Configuration)\\plugins)
+SET(package_name grisbi)
 
 ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
 ADD_DEFINITIONS(-D__PRETTY_FUNCTION__="")
@@ -58,17 +68,19 @@
 #ADD_DEFINITIONS(-DNOSSL=1)
 
 INCLUDE_DIRECTORIES(
-	target/gtk-dev/include/atk-1.0
-	target/gtk-dev/include/cairo
-	target/gtk-dev/include/glib-2.0
-	target/gtk-dev/include/gtk-2.0
-	target/gtk-dev/include/pango-1.0
-	target/gtk-dev/include
-	target/gtk-dev/lib/glib-2.0/include
-	target/gtk-dev/lib/gtk-2.0/include
-	target/plugins-dev/libofx/include
-	target/plugins-dev/libxml/include
-	target/plugins-dev/openssl/include
+	target/$(Platform)/gtk-dev/include/atk-1.0
+	target/$(Platform)/gtk-dev/include/cairo
+	target/$(Platform)/gtk-dev/include/glib-2.0
+	target/$(Platform)/gtk-dev/include/gdk-pixbuf-2.0
+	target/$(Platform)/gtk-dev/include/gtk-2.0
+	target/$(Platform)/gtk-dev/include/pango-1.0
+	target/$(Platform)/gtk-dev/include
+	target/$(Platform)/gtk-dev/lib/glib-2.0/include
+	target/$(Platform)/gtk-dev/lib/gtk-2.0/include
+	target/$(Platform)/plugins-dev/libofx/include
+	target/$(Platform)/plugins-dev/libxml2/include
+	target/$(Platform)/plugins-dev/iconv/include
+	target/$(Platform)/plugins-dev/openssl/include
 	../win32-msvc/src
 	../win32-msvc
 	../win32
@@ -79,32 +91,13 @@
 )
 
 LINK_DIRECTORIES(
-	target/gtk-dev/lib
-	target/plugins-dev/libofx/lib
-	target/plugins-dev/libxml/lib
-	target/plugins-dev/openssl/lib
-	target/plugins-dev/openssl/lib/VC
-	target/$(PlatformName)/$(OutDir)
-)
-
-LINK_LIBRARIES(
-	grisbi
-	cairo
-	gdk_pixbuf-2.0
-	gdk-win32-2.0
-	gio-2.0
-	glib-2.0
-	gmodule-2.0
-	gobject-2.0
-	gtk-win32-2.0
-	intl
-	pango-1.0
-	pangocairo-1.0
-	zdll
-	libofx
-	libxml2
-	libeay32
-	ssleay32
+	target/$(Platform)/gtk-dev/lib
+	target/$(Platform)/plugins-dev/libofx/lib
+	target/$(Platform)/plugins-dev/libxml2/lib
+	target/$(Platform)/plugins-dev/iconv/lib
+	target/$(Platform)/plugins-dev/openssl/lib
+	target/$(Platform)/plugins-dev/openssl/lib/VC
+	$(TargetDir)
 )
 
 SET (grisbi_source
@@ -114,10 +107,22 @@
 	../src/affichage.h
 	../src/affichage_liste.c
 	../src/affichage_liste.h
-	../src/balance_estimate_tab.c
-	../src/balance_estimate_tab.h
 	../src/barre_outils.c
 	../src/barre_outils.h
+	../src/bet_config.c
+	../src/bet_config.h
+	../src/bet_data.c
+	../src/bet_data.h
+	../src/bet_data_finance.c
+	../src/bet_data_finance.h
+	../src/bet_finance_ui.c
+	../src/bet_finance_ui.h
+	../src/bet_future.c
+	../src/bet_future.h
+	../src/bet_hist.c
+	../src/bet_hist.h
+	../src/bet_tab.c
+	../src/bet_tab.h
 	../src/categories_onglet.c
 	../src/categories_onglet.h
 	../src/classement_echeances.c
@@ -318,8 +323,8 @@
 	../src/include.h
 	../src/main.c
 	../src/main.h
-	../src/main_cunit.c
-	../src/main_cunit.h
+#	../src/main_cunit.c
+#	../src/main_cunit.h
 	../src/menu.c
 	../src/menu.h
 	../src/meta_budgetary.c
@@ -344,6 +349,8 @@
 	../src/print_report.h
 	../src/print_transactions_list.c
 	../src/print_transactions_list.h
+	../src/print_tree_view_list.c
+	../src/print_tree_view_list.h
 	../src/qif.c
 	../src/qif.h
 	../src/tiers_onglet.c
@@ -390,7 +397,7 @@
 	../win32/win32gtkutils.h
 	../win32/win32utils.c
 	../win32/win32utils.h
-	../win32/grisbi.ico
+	# ../win32/grisbi.ico
 )
 
 ADD_EXECUTABLE(grisbi
@@ -398,73 +405,44 @@
 	${grisbi_source}
 )
 
-ADD_DEPENDENCIES (grisbi prepare_env)
+TARGET_LINK_LIBRARIES( grisbi
+	glib-2.0
+	intl
+	cairo
+	gdk_pixbuf-2.0
+	gdk-win32-2.0
+	gio-2.0
+	gmodule-2.0
+	gobject-2.0
+	gtk-win32-2.0
+	pango-1.0
+	pangocairo-1.0
+	zdll
+)
+
+set_target_properties ( grisbi
+	PROPERTIES ENABLE_EXPORTS 1
+)
+
+ADD_DEPENDENCIES (grisbi prepare_env prepare_mo)
 
 ADD_LIBRARY ( ofx
-	MODULE
+	SHARED
 	../src/plugins/ofx/ofx.c
 	../src/plugins/ofx/ofx.h
 )
 
 ADD_CUSTOM_COMMAND ( TARGET ofx
 	POST_BUILD
-	COMMAND xcopy /D /Y $(TargetDir)ofx.dll target\\$(PlatformName)\\$(OutDir)\\plugins
-	COMMAND XCOPY /D /Y target\\plugins-dev\\libofx\\bin\\* target\\$(PlatformName)\\$(OutDir)
+#	COMMAND XCOPY /D /Y $(Configuration)\\ofx.dll target\\$(Platform)\\$(Configuration)\\plugins\\
+	COMMAND XCOPY /D /Y target\\$(Platform)\\plugins-dev\\libofx\\bin\\* target\\$(Platform)\\$(Configuration)
+	COMMAND IF NOT EXIST target\\$(Platform)\\$(Configuration)\\dtd MKDIR target\\$(Platform)\\$(Configuration)\\dtd
+	COMMAND XCOPY /D /Y target\\$(Platform)\\plugins-dev\\libofx\\bin\\dtd\\o*.d* target\\$(Platform)\\$(Configuration)\\dtd
 )
 
 ADD_LIBRARY ( gnucash
-	MODULE
+	SHARED
 	../src/plugins/gnucash/gnucash.c
 	../src/plugins/gnucash/gnucash.h
 )
 
-ADD_CUSTOM_COMMAND ( TARGET gnucash
-	POST_BUILD
-	COMMAND xcopy /D /Y $(TargetDir)gnucash.dll target\\$(PlatformName)\\$(OutDir)\\plugins
-)
-
-ADD_LIBRARY ( openssl
-	MODULE
-	../src/plugins/openssl/openssl.c
-	../src/plugins/openssl/openssl.h
-)
-
-ADD_CUSTOM_COMMAND ( TARGET openssl
-	POST_BUILD
-	COMMAND xcopy /D /Y $(TargetDir)openssl.dll target\\$(PlatformName)\\$(ConfigurationName)\\plugins
-)
-
-
-ADD_DEPENDENCIES (ofx grisbi)
-ADD_DEPENDENCIES (gnucash grisbi)
-ADD_DEPENDENCIES (openssl grisbi)
-
-ADD_CUSTOM_TARGET (prepare_env)
-
-ADD_CUSTOM_COMMAND(TARGET prepare_env
-	POST_BUILD
-	COMMAND IF NOT EXIST target\\$(PlatformName)\\$(ConfigurationName) mkdir target\\$(PlatformName)\\$(ConfigurationName)
-)
-	
-
-# ADD_CUSTOM_COMMAND(TARGET prepare_env
-	# POST_BUILD
-	# COMMAND xcopy /Y /C /D target\\gtk-dev\\bin\\*.dll target\\Debug
-	# COMMAND xcopy /Y /C /D target\\gtk-dev\\bin\\*.dll target\\Release
-# )
-
-# ADD_CUSTOM_COMMAND(TARGET prepare_env
-	# POST_BUILD
-	# COMMAND xcopy /S /Y /D target\\gtk-dev\\etc target\\Debug\\etc\\
-	# COMMAND xcopy /S /Y /D target\\gtk-dev\\etc target\\Release\\etc\\
-# )
-
-# ADD_CUSTOM_COMMAND(TARGET prepare_env
-	# POST_BUILD
-	# COMMAND xcopy /S /Y /D target\\gtk-dev\\lib\\gtk-2.0\\2.10.0 target\\Debug\\lib\\gtk-2.0\\2.10.0\\
-	# COMMAND xcopy /S /Y /D target\\gtk-dev\\lib\\gtk-2.0\\2.10.0 target\\Release\\lib\\gtk-2.0\\2.10.0\\
-# )
-
-ADD_CUSTOM_COMMAND(TARGET prepare_env
-	POST_BUILD
-	COMMAND xcopy /S /Y /D ..\\pixmaps\\*.png target\\$(PlatformName)\\$(ConfigurationName)\\pixmaps\\
