=== debian/changelog ===
grisbi (0.8.9-1ubuntu1) trusty; urgency=medium

  * Manually patch libtool file to add support for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 30 Mar 2014 01:07:30 -0400

grisbi (0.8.9-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Dec 2011 09:29:47 +0100
