=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure: config-stamp
-	dh_auto_configure -- --disable-rpath
+	dh_auto_configure
 
 config-stamp:
 # Use most up-to-date config.{sub,guess}
@@ -42,3 +42,7 @@
 .PHONY: override_dh_installchangelogs
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+.PHONY: override_dh_install
+override_dh_install:
+	dh_install --fail-missing -X.la
