## grisbi 1.0.0

=== debian/changelog ===
grisbi (1.0.0-2ubuntu3) utopic; urgency=medium

  * No-change rebuild against new libofx.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 30 May 2014 01:15:07 -0400

grisbi (1.0.0-2ubuntu2) utopic; urgency=medium

  * 0099-reorder-autoconf.patch: Run AM_INIT_AUTOMAKE earlier to
    work around buggy behaviour in certain versions of autotools

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 03 May 2014 15:53:55 -0600

grisbi (1.0.0-2ubuntu1) utopic; urgency=medium

  * Replace manual config.{sub,guess} updating with dh-autoreconf.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 03 May 2014 15:28:42 -0600

grisbi (1.0.0-2) unstable; urgency=medium

  * Add libgoffice-0.8-dev to Build-Depends (Closes: #744247)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 20 Apr 2014 09:20:24 +0200

grisbi (1.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #743689)
  * debian/patches:
    + Fix variable of type PangoAlignment expected instead of gfloat
      (Closes: #688453)
  * Convert debian/copyright to format 1.0
  * Bump debhelper compat level to 9
  * Bump Standards-Version to 3.9.5
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Apr 2014 00:52:21 +0200
