=== debian/control ===
--- 
+++ 
@@ -5,18 +5,20 @@
 XSBC-Original-Maintainer: Stéphane Glondu <glondu@debian.org>
 Uploaders: Roberto C. Sanchez <roberto@connexer.com>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
+ dh-autoreconf,
  libgtk2.0-dev,
  libxml2-dev,
  libofx-dev,
  libssl-dev,
  autotools-dev,
  intltool,
+ libgoffice-0.8-dev,
  chrpath
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://www.grisbi.org/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/grisbi.git
-Vcs-Git: git://git.debian.org/git/collab-maint/grisbi.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/grisbi.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/grisbi.git
 
 Package: grisbi
 Architecture: any
