## grisbi 1.0.1

=== debian/changelog ===
grisbi (1.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #842384)
  * Add Ludovic Rousseau in Uploaders:
  * Refresh debian/patches/0001-Tune-grisbi.desktop.patch
  * Fix lintian vcs-field-uses-insecure-uri vcs-browser
  * Fix lintian vcs-field-uses-insecure-uri vcs-git
  * Fix "Remove Suggests: dependency on texlive" (Closes: #749139)
  * Fix "Change Grisbi icon to have a better resolution (as in Gshell)"
    use the .png version instead of .xpm (Closes: #754815)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 22 Nov 2016 17:06:35 +0100
