=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: grisbi
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stéphane Glondu <glondu@debian.org>
-Uploaders: Roberto C. Sanchez <roberto@connexer.com>
+Maintainer: Stéphane Glondu <glondu@debian.org>
+Uploaders: Roberto C. Sanchez <roberto@connexer.com>,
+ Ludovic Rousseau <rousseau@debian.org>
 Build-Depends:
  debhelper (>= 9),
- dh-autoreconf,
  libgtk2.0-dev,
  libxml2-dev,
  libofx-dev,
@@ -17,8 +16,8 @@
  chrpath
 Standards-Version: 3.9.5
 Homepage: http://www.grisbi.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/grisbi.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/grisbi.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/grisbi.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/grisbi.git
 
 Package: grisbi
 Architecture: any
@@ -27,7 +26,7 @@
  xdg-utils,
  ${shlibs:Depends},
  ${misc:Depends}
-Suggests: texlive, www-browser
+Suggests: www-browser
 Description: personal finance management program
  Grisbi is a personal accounting program. Grisbi can handle multiple
  accounts, currencies and users. It helps you manage your money using
