=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,35 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+SHARED_CONFIG := /usr/share/misc/config
+
 %:
-	dh $@ --with autoreconf
+	dh $@
+
+.PHONY: override_dh_auto_configure
+override_dh_auto_configure: config-stamp
+	dh_auto_configure
+
+config-stamp:
+# Use most up-to-date config.{sub,guess}
+	for u in sub guess; do \
+	  if [ -f $(SHARED_CONFIG).$$u ]; then \
+	    mv config.$$u debian && \
+	    cp $(SHARED_CONFIG).$$u .; \
+	  fi; \
+	done
+	touch $@
+
+.PHONY: override_dh_auto_clean
+override_dh_auto_clean:
+# Restore upstream config.{sub,guess}
+	for u in sub guess; do \
+	  if [ -f debian/config.$$u ]; then \
+	    mv debian/config.$$u .; \
+	  fi; \
+	done
+	rm -f config-stamp
+	dh_auto_clean
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
